<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.AutoCommit Property
DatabaseEnvironment Class See Also Send Feedback

If true, database operations for which no explicit transaction handle was specified, and which modify databases in the database environment, are automatically enclosed within a transaction.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool AutoCommit { get; set; }

Visual Basic (Declaration)

    Public Property AutoCommit As Boolean

Visual C++

    public:
    property bool AutoCommit {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace